Home
The Toolkit for Online Communities
17127 Community Members, 0 members online, 1894 visitors today
Log In Register
OpenACS Home : Forums : OpenACS Q&A : Can OpenACS and Aolserver be successfully compiled and installed on FC4? : One Message

Forum OpenACS Q&A: Re: Can OpenACS and Aolserver be successfully compiled and installed on FC4?

OpenACS.org runs on FC4.

If you post the error you are getting I will see if I know how to work around it.

Dave

Thanks, Dave!

Here's the last lines with the error info..

/bin/rm -f nsd
gcc -pipe -L../nsthread -L../nsd -o nsd main.o libnsd.so -lnsthread -L/usr/local/lib -ltcl8.4 -ldl -lpthread -lieee -lm -lz -lgcc_s -Wl,--export-dynamic -Wl,-rpath,/usr/local/aolserver40r10/lib -Wl,-rpath,/usr/local/lib
libnsd.so: undefined reference to `pthread_kill_other_threads_np'
collect2: ld returned 1 exit status
make[1]: *** [nsd] Error 1
make[1]: Leaving directory `/usr/local/src/aolserver40r10/aolserver/nsd'
make: *** [all] Error 1

Hi Bill

Just take a loot at

http://www.mail-archive.com/aolserver@listserv.aol.com/msg09034.html

I hope it could help you.

Yes, absolutely!

See the complete guide:

http://www.openacs.org/xowiki/pages/en/OpenACSIntallGuide

Thank you - that correction to aolserver/nsd/unix.c did correct it so that aolserver could be compiled.

Now on to bigger and other things - like getting postgres.so to compile...

The guide above also addresses compiling postgres, and also works for pg 8.0.3 if you are running 5.2.2
Well - nspostgres, when giving your command returns the following error:

cd nspostgres
[root@business-buffet nspostgres]# ls
ChangeLog CVS Makefile nspostgres.c nspostgres.h README
[root@business-buffet nspostgres]# make install POSTGRES=/usr/local/pgsql ACS=1 INST=/usr/local/aolserver
/usr/local/aolserver/include/Makefile.module:108: /include/Makefile.global: No such file or directory
make: *** No rule to make target `/include/Makefile.global'. Stop.
[root@business-buffet nspostgres]#

In fact - to further explain - here's my console log from nscache and nspostgres after erasing everything and starting over at the point of aolserver compile - which worked just fine after the above fixes were put in...

[root@business-buffet ~]# cd /usr/local/src/aolserver40r10/nscache
[root@business-buffet nscache]# make install
/usr/local/aolserver/include/Makefile.module:108: /include/Makefile.global: No such file or directory
make: *** No rule to make target `/include/Makefile.global'. Stop.
[root@business-buffet nscache]# cd ../nspostgres
[root@business-buffet nspostgres]# make install POSTGRES=/usr/local/pgsql ACS=1 INST=/usr/local/aolserver40r10
/usr/local/aolserver40r10/include/Makefile.module:108: /include/Makefile.global: No such file or directory
make: *** No rule to make target `/include/Makefile.global'. Stop.
[root@business-buffet nspostgres]#

You -see -- something is missing from aolserver that both nscache and nspostgres need - but I don't know enough to know what to do with it...

Would anyone please pick this back up and help?

I finally found my error in the command line to compile nscache - so it's installed now...
I've also found the problem(s) with postgres.so - am now complete on those problem areas and moving forward. In the nspostgres compile I had to set both LD_LIBRARY_PATH=/usr/local/pgsql/lib AND, in the compile line set POSTGRES=/usr/local/pgsql

That fixed the error - either without the other did not fix it...

Hey Bill - yes my install guide is written for AOLserver 4.0r8 - it won't work for 4.0r10
Hello Bill I have a problem.I need your help i am a newbie and i install debian sarge 3.1 + suquid .And i trying to link with active directory . I read some page and it say that i have to install Ldap.But when I try to install Ldap i have this error

make: *** No rule to make traget '../aolserver/include/makefile.module' stop.

Pls Help me!!
Thz
Ale

Sorry, but I don't know enough to help you.
Alejandro

You have to tell the compile process of, what, I guess nsldap? where is aolserver installed. see the docs for how and where.

In the same way, you have to first find everything that nsldap needs and also tell the nsldap build process where it can find those. Maybe you do that by running configure, maybe you have to edit files, like the makefile.

Once those things are done, try compiling again. If problems with compiling it, post again.

There are already posts having to do with helping you use ldap, I'm not going there at all because I don't know about using it or about using it with openacs.

Hello Orzenil I have a problem.I need your help i am a newbie and i install debian sarge 3.1 + suquid .And i trying to link with active directory . I read some page and it say that i have to install Ldap.But when I try to install Ldap i have this error

make: *** No rule to make traget '../aolserver/include/makefile.module' stop.

Pls Help me!!
Thz
Ale

Hi Alejandro,

When trying to install ns_ldap you must ensure that the environment vaiable INST for aolserver installed dir is set. See:

http://openacs.org/doc/openacs-5-2/install-ldap-radius.html

There is a good documentation on LDAP provided by Cognovis here

http://www.cognovis.de/entwickler/tips/sysadmin/openacs_ldap/

good luck!

Orzenil's tip should help with the compilation of the ns_ldap module. The notes over on Cognovis' web site are a bit out of date at this point, though. The changes under the dotLRN section (i.e., ldap bind, necessary for AD and Novell's eDir) can now be made through the "configure driver" page for the LDAP authority. This is as of version 1.1 of the LDAP Auth Driver.